Name:           flare
Version:        1.0.9
Release:        %mkrel 1
Summary:        flare - distributed, and persistent key-value storage
Group:          System/Servers
License:        GPL
URL:            http://labs.gree.jp/Top/OpenSource/Flare-en.html
Source0:        http://labs.gree.jp/data/source/flare-%{version}.tgz
Source1:        %{name}.init
Source2:        flarei.conf
Source3:        flared.conf

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  tokyocabinet-devel >= 1.4.41, gcc-c++, boost-devel
%if %mdkversion >= 201000
BuildRequires:  gcc4.2-c++
%endif

%define flareuser flare
%define flaredir /var/lib/flare

%description
Flare is distributed, and persistent key-value storage compatible with
memcached, and has more features (as follows):

    * persistent storage (you can use flare as persistent memcached)
    * pluggable storage (currently only Tokyo Cabinet is available,
      though:)
    * data replication (synchronous or asynchronous)
    * data partitioning (automatically partitioned according to # of
      master servers (clients do not have to care about it))
    * dynamic reconstruction, and partitioning (you can dynamically (I
      mean, without any service interruption) add slave servers and
      partition master servers)
    * node monitoring and failover (if any server is down, the server is
      automatically isolated from active servers and another slave
      server is promoted to master server)
    * request proxy (you can always get same result regardless of
      servers you connect to. so you can think flare servers as one big
      key-value storage)
    * over 256 bytes keys, and over 1M bytes values are available.

%prep
%setup -q

%build
# '-Werror=format-security' causes compile failure.
export CXXFLAGS="`echo $RPM_OPT_FLAGS|sed s,\ -Werror=format-security,,`"
%if %mdkversion >= 201000
export CXX=g++4.2
%endif
%configure
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%{__install} -p -D -m 0755 %{SOURCE1} %{buildroot}%{_initrddir}/%{name}
%{__install} -p -D -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/flare/flarei.conf
%{__install} -p -D -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/flare/flared.conf
mkdir -p %{buildroot}%{flaredir}

%clean
rm -rf %{buildroot}

%pre
%_pre_useradd %{flareuser} %{flaredir} /bin/false

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{flareuser}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%{_bindir}/flare*
%dir %{_sysconfdir}/flare
%config(noreplace) %{_sysconfdir}/flare/*.conf
%{_initrddir}/%{name}
%attr(-,%{flareuser},%{flareuser}) %dir %{flaredir}

%changelog
* Thu Jun  4 2009 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 1.0.9-1nxd2010.0
- release 1.0.9
- remove flare-1.0.8-no-umask.patch that is already merged
- remove flare-1.0.8-close-archive.patch that is already merged

* Thu Jun  4 2009 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 1.0.8-1nxd2009.1
- release 1.0.8
